package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 货币种类
 */
@AllArgsConstructor
@Getter
public enum EAccount {

    /**
     * 消费账户
     */
    CONSUME(1, "消费", EnumsPrefixConstants.ACCOUNT + "1"),

    /**
     * 政策账户
     */
    POLICY(3, "政策", EnumsPrefixConstants.ACCOUNT + "3"),

    /**
     * 奖金账户
     */
    BONUS(4, "奖金", EnumsPrefixConstants.ACCOUNT + "4"),

    /**
     * 复消账户
     */
    RECOIL(13, "复消", EnumsPrefixConstants.ACCOUNT + "13"),

    /**
     * 复消积分账户
     * 2024.07.18 需求调整，后续此账户会被废弃掉
     */
    RECOIL_INTEGRAL(14, "复消积分", EnumsPrefixConstants.ACCOUNT + "14"),


    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;

}
